﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 520: (1 yr) CAL VER IEEE /9500/600+4Hd
DATE:                  2009-12-02 11:03:14
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       253
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Text Source:
#    $RCSfile: tek_tds520_1yr_ver_ieee_9500_600_4hd.txt,v $
#    $Date: 2009/12/02 19:01:29 $
#
#  Procedure Author:
#        DAC, DFM, VY
#@
#@ Models covered:
#@       TDS 500
#@         TDS 520
#@
#@ Source:
#@       TDS 520 Digitizing Oscilloscope
#@       Service Manual, Part No. 070-8312-01
#@
#@ Source Author:
#@       Tektronix
#@
#@ Compatibility:
#@       MET/CAL 7.20 SP1 (7.20x) or Later.
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub TDS500/600/700 Setup IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Self-Test IEEE
#        Sub TDS500/600/700 Sig Path Comp Cal IEEE
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Check Trig Status IEEE
#        Sub TDS500/600/700 Adjust Trig Level IEEE
#        Sub TDS500/600/700 Main or Delayed Trigger IEEE
#        Sub TDS500 Specifications
#        Sub TDS520 (1 yr) DCV Meas Acc Aux 1 & 2 IEEE /9500
#        Sub TDS520 (1 yr) DCV Meas Acc Ch 1 & 2 IEEE /9500
#        Sub TDS500 (1 yr) Time Base IEEE /9500
#        Sub TDS500 (1 yr) Delta Time IEEE /9500
#        Sub TDS500 (1 yr) Trig Time Acc IEEE /9500
#        Sub TDS500 (1 yr) Trig Level Acc IEEE /9500
#        Sub TDS500 (1 yr) Probe Comp IEEE /9500
#        Sub TDS500 (1 yr) Bandwidth IEEE /9500/600
#        Sub TDS500 (1 yr) Sens IEEE /9500/600
#
# Required Files:
#        tdsprobe.jpg      Picture: PROBE_COMPENSATION Test
#        95_4ck_1.jpg      Picture: DC Volts Connection - Channel 1
#        95_4ck_2.jpg      Picture: DC Volts Connection - Channel 2
#        95_4ck_3.jpg      Picture: DC Volts Connection - Channel 3
#        95_4ck_4.jpg      Picture: DC Volts Connection - Channel 4
#        95_4ck99.jpg      Picture: DC Volts Connection - Channel 1,2,3 and 4
#
#@ Additional Equipment Required:
#@       Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#@       Cable, coaxial, BNC(m)-(m), 36"
#@
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing : 60 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1V             LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1V             LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1V             LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1V             LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.012  ASK+           K

# Verify MET/CAL version compatibility.
  1.013  MATH         @ReqMetCalVersion = "7.20x"
  1.014  CALL         Sub MET/CAL Version Check

  1.015  IF           NOT(@MetCalVersionOK)
  1.016  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.016  DISP         or later.
  1.017  END
  1.018  ENDIF

  1.019  CALL         Sub Display Copyright
  1.020  CALL         Sub High Voltage Safety Warning

  1.021  HEAD         PRELIMINARY INSTRUCTIONS
  1.022  CALL         Sub Select Failed Test Mode
  1.023  CALL         Sub Select Verification Method

  1.024  DISP         Ensure a minimum UUT warm-up time of at least
  1.024  DISP         20 minutes has been allowed to elapse, prior
  1.024  DISP         to beginning verification.

  1.025  HEAD         UUT IDENTIFICATION
  1.026  TARGET
  1.027  CALL         Sub TDS500/600/700 Setup IEEE
  1.028  IEEE2        *RST;DESE 61
  1.029  WAIT         -t 4 System Initializing ...
  1.030  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.031  MATH         Model = "TDS 520"
# Make sure correct UUT is connected.
  1.032  MATH         L[1] = ZCMPI("TEKTRONIX", @Manufacturer)
  1.033  MATH         L[2] = ZCMPI(Model, @ModelNum)

  1.034  IF           NOT(L[1]) || NOT(L[2])
  1.035  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.035  DISP         not a Tektronix [V Model]!
  1.036  END
  1.037  ENDIF

  1.038  HEAD         EQUIPMENT REQUIREMENTS
  1.039  OPBR         -z Do you want to REVIEW the list of additional
  1.039  OPBR         equipment and/or accessories required?

  1.040  IF           MEM1
  1.041  DISP         The following additional equipment and/or accessories
  1.041  DISP         are required:
  1.041  DISP
  1.041  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.041  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.041  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.042  ENDIF

  1.043  CALL         Sub TDS500 Specifications
  1.044  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.045  JMPL         END                          @Abort
  1.046  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.047  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.048  MATH         @SourceChanNum = 4

# Specify channel to test.
  1.049  MATH         @Chan = 1
  1.050  M9500                       CH1
  1.051  CALL         Sub TDS520 (1 yr) DCV Meas Acc Ch 1 & 2 IEEE /9500
  1.052  MATH         @Chan = 2
  1.053  M9500                       CH2
  1.054  CALL         Sub TDS520 (1 yr) DCV Meas Acc Ch 1 & 2 IEEE /9500
  1.055  MATH         @Chan = 3
  1.056  M9500                       CH3
  1.057  CALL         Sub TDS520 (1 yr) DCV Meas Acc Aux 1 & 2 IEEE /9500
  1.058  MATH         @Chan = 4
  1.059  M9500                       CH4
  1.060  CALL         Sub TDS520 (1 yr) DCV Meas Acc Aux 1 & 2 IEEE /9500

  1.061  MATH         @Chan = 1
  1.062  M9500                       CH1
  1.063  CALL         Sub TDS500 (1 yr) Bandwidth IEEE /9500/600
  1.064  MATH         @Chan = 2
  1.065  M9500                       CH2
  1.066  CALL         Sub TDS500 (1 yr) Bandwidth IEEE /9500/600
  1.067  MATH         @Chan = 3
  1.068  M9500                       CH3
  1.069  CALL         Sub TDS500 (1 yr) Bandwidth IEEE /9500/600
  1.070  MATH         @Chan = 4
  1.071  M9500                       CH4
  1.072  CALL         Sub TDS500 (1 yr) Bandwidth IEEE /9500/600

  1.073  MATH         @Chan = 1
  1.074  M9500                       CH1
  1.075  CALL         Sub TDS500 (1 yr) Time Base IEEE /9500
  1.076  CALL         Sub TDS500 (1 yr) Delta Time IEEE /9500
  1.077  CALL         Sub TDS500 (1 yr) Trig Time Acc IEEE /9500
  1.078  CALL         Sub TDS500 (1 yr) Trig Level Acc IEEE /9500

  1.079  MATH         @Chan = 1
  1.080  M9500                       CH1
  1.081  CALL         Sub TDS500 (1 yr) Sens IEEE /9500/600
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.082  OPBR         -z Each channel trig sensitivity test will take about
  1.082  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.082  OPBR         channels to save time, unless desired.
  1.082  OPBR
  1.082  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.082  OPBR         3, and 4?
  1.083  MATH         @TestCh234Sens = MEM1

  1.084  IF           @TestCh234Sens
  1.085  MATH         Time = 3 * @OptChSensTime
  1.086  DISP         The next routine operator intervention occurs
  1.086  DISP         in approximately [V Time] minutes...
  1.087  MATH         @Chan = 2
  1.088  M9500                       CH2
  1.089  CALL         Sub TDS500 (1 yr) Sens IEEE /9500/600
  1.090  MATH         @Chan = 3
  1.091  M9500                       CH3
  1.092  CALL         Sub TDS500 (1 yr) Sens IEEE /9500/600
  1.093  MATH         @Chan = 4
  1.094  M9500                       CH4
  1.095  CALL         Sub TDS500 (1 yr) Sens IEEE /9500/600
  1.096  ENDIF

  1.097  M9500                       CH1
  1.098  CALL         Sub TDS500 (1 yr) Probe Comp IEEE /9500

  1.099  LABEL        END
  1.100  IEEE2        *RST;DESE 61

  1.101  IF           @Abort
  1.102  DISP         V E R I F I C A T I O N   A B O R T E D
  1.103  ELSE
  1.104  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.105  ENDIF

  1.106  END

